jQuery 3.1.1 发布,轻量级 js 框架

王练
 王练
发布于 2016年09月24日
收藏 19

jQuery 3.1.1 发布了,该版本包括一些 BUG 修复和改进。

Jquery 是继 prototype 之后又一个优秀的Javascrīpt框架。它是轻量级的js库(压缩后只有21k) ,它兼容CSS3,还兼容各种浏览器 (IE 6.0+, FF 1.5+, Safari 2.0+, Opera 9.0+)。jQuery使用户能更方便地处理HTML documents、events、实现动画效果,并且方便地为网站提供AJAX交互。

详细更新内容请查阅:更新日志

下载地址:

https://code.jquery.com/jquery-3.1.1.js
https://code.jquery.com/jquery-3.1.1.min.js

本站文章除注明转载外,均为本站原创或编译。欢迎任何形式的转载,但请务必注明出处,尊重他人劳动共创开源社区。
转载请注明:文章转载自 OSCHINA 社区 [http://www.oschina.net]
本文标题:jQuery 3.1.1 发布,轻量级 js 框架
加载中

最新评论(20

白俊遥
白俊遥

引用来自“月影南溪”的评论

1.x 是对IE6+支持吧,2.x是对IE8+? 3.x好像对大部分IE都不支持吧?

引用来自“eechen”的评论

jQuery 3 Browser Support:
Chrome, Firefox, Safari, Opera, IE 9+, iOS 7+, Android 4.0+
iPhone 4S可升级到iOS 9.
2016年6月Android版本份额:
Android 2 份额约 2%
Android 4 份额约 53% (WebView自Android 4.4起采用Chromium内核)
Android 5 份额约 35%
Android 6 份额约 10%
注:Android 3.x是Google针对平板开发的系统.
如果你需要支持IE6/7/8和Android 2/3,那就用jQuery 1.
如果你需要在移动应用上使用jQuery,那你就用jQuery 3.
其实大可不必纠结各版本的区别,因为API基本都是相同的.

http://code.jquery.com/jquery-1.12.4.min.js 大小为96KB(GZIP压缩后为33KB)
http://code.jquery.com/jquery-3.1.1.min.js 大小为85KB(GZIP压缩后为29KB)

Migrate older jQuery code to jQuery 3.0+
https://github.com/jquery/jquery-migrate
If you have not yet upgraded to 1.12.x or 2.2.x,
first upgrade to them and use jQuery Migrate 1.x
to resolve any compatibility issues
before using jQuery Migrate 3.0 and upgrading to jQuery 3.0.
<script src="jquery-3.1.1.js"></script>
<script src="jquery-migrate-3.0.0.js"></script>

看jQuery官方的意思,就是以后就专注于开发3.x了,需要支持IE6/7/8的就继续用遗留的1.x,而用2.x的都应该升级到3.x.
这次可以赞;
海淀游民
海淀游民
e神威武,PHP最好没有之一(补充这么多咨询应该赞一下嘛)
eechen
eechen
jQuery Mobile官方提供了一个测试版本的Download Builder
可以用来定制自己用到的功能,比如触摸事件(Touch Events):
访问 http://jquerymobile.com/download-builder/
勾选 Events 下的 Touch 然后点击页面下方的 Build My Download 下载.
jquery.mobile.touch.min.js 只有8KB.
Touch events including:
touchstart, touchmove, touchend,
tap, taphold,
swipe, swipeleft, swiperight,
scrollstart, scrollstop
注意: jQuery Mobile 1.4.5 可以这样升级到 jQuery 3:
<script src="jquery-3.1.1.min.js"></script>
<script src="jquery-migrate-3.0.0.min.js"></script>
eechen
eechen

引用来自“月影南溪”的评论

1.x 是对IE6+支持吧,2.x是对IE8+? 3.x好像对大部分IE都不支持吧?
jQuery 3 Browser Support:
Chrome, Firefox, Safari, Opera, IE 9+, iOS 7+, Android 4.0+
iPhone 4S可升级到iOS 9.
2016年6月Android版本份额:
Android 2 份额约 2%
Android 4 份额约 53% (WebView自Android 4.4起采用Chromium内核)
Android 5 份额约 35%
Android 6 份额约 10%
注:Android 3.x是Google针对平板开发的系统.
如果你需要支持IE6/7/8和Android 2/3,那就用jQuery 1.
如果你需要在移动应用上使用jQuery,那你就用jQuery 3.
其实大可不必纠结各版本的区别,因为API基本都是相同的.

http://code.jquery.com/jquery-1.12.4.min.js 大小为96KB(GZIP压缩后为33KB)
http://code.jquery.com/jquery-3.1.1.min.js 大小为85KB(GZIP压缩后为29KB)

Migrate older jQuery code to jQuery 3.0+
https://github.com/jquery/jquery-migrate
If you have not yet upgraded to 1.12.x or 2.2.x,
first upgrade to them and use jQuery Migrate 1.x
to resolve any compatibility issues
before using jQuery Migrate 3.0 and upgrading to jQuery 3.0.
<script src="jquery-3.1.1.js"></script>
<script src="jquery-migrate-3.0.0.js"></script>

看jQuery官方的意思,就是以后就专注于开发3.x了,需要支持IE6/7/8的就继续用遗留的1.x,而用2.x的都应该升级到3.x.
eechen
eechen

引用来自“不是小白”的评论

压缩后80+kb
jQuery 3 min版本是85KB,服务器gzip压缩后是29KB.
TerryZ
TerryZ

引用来自“TerryZ”的评论

现在至少兼容到IE8了吧,IE6,7还需要兼容那多痛苦!

引用来自“风华神使”的评论

jq3只兼容到ie9
我说的是现在对于网站开发的浏览器兼容性
TerryZ
TerryZ

引用来自“TerryZ”的评论

现在至少兼容到IE8了吧,IE6,7还需要兼容那多痛苦!

引用来自“风华神使”的评论

jq3只兼容到ie9
我说的是现在对于网站开发的浏览器兼容性
子弹兄
子弹兄

引用来自“else”的评论

IE 6.0+
不是说,2就取消支持ie11以下了吗?

引用来自“子弹兄”的评论

小编不好好介绍3的功能

引用来自“catroll”的评论

根据开源中国的惯例,软件更新资讯的内容有一部分是从软件介绍中复制过来的。
可能是没时间打理维护这些信息。
看看得了,有点误差,大家知道就行,可以接受嘛。
你应该介绍一下3.0的特性
MJ_PC_Lab
MJ_PC_Lab
jquery不能算轻量级了
风华神使
风华神使

引用来自“TerryZ”的评论

现在至少兼容到IE8了吧,IE6,7还需要兼容那多痛苦!
jq3只兼容到ie9
返回顶部
顶部